selected = false
muted = false
midiChan = 0

gfx.init("Xsample",1,1)

gfx.x = gfx.mouse_x
gfx.y = gfx.mouse_y

input = gfx.showmenu("1 Senza Vibrato MW|2 Staccato Velocity MW Shape|3 Accent MW|4 Natural Vibrato MW|5 Flutter Tongue MW|6 Crescendo|7 Key Noises Velocity|8 Multiphonics + Undefined Tones|9 Slides Down Velocity|10 Slides Up Velocity|11 Senza Vibrato Velocity|12 Senza Vibrato Velocity + MW inverted|13 Flutter Tongue Velocity|14 Senza Vibrato + Flutter Tongue Velocity X MW|15 Triple Tongue 16T|16 Staccato Velocity|17 Accent Velocity|18 Multiphonics MW|19 Air Noises MW|20 Undefined Tones Velocity|21 Vibrato MW|22 Vibrato Velocity|23 Vibrato Velocity + MW inverted|24 Secco Velocity|25 Portato Velocity|26 Flutter Tongue Velocity + MW inverted|27 Pseudo Bass Velocity + MW inverted|28 Pseudo Bass Staccato Velocity|29 Pseudo Piccolo Velocity + MW inverted|30 Pseudo Piccolo Staccato Velocity||")
if input >= 0 then 

function main() 
  take = reaper.MIDIEditor_GetTake(reaper.MIDIEditor_GetActive())
  if take == nil then return end
  item = reaper.GetMediaItemTake_Item(take)
  pos = reaper.GetCursorPosition() 
  ppq = reaper.MIDI_GetPPQPosFromProjTime(take, pos)
  
  MSB = 0
  LSB = 0
  PC  = 0
  
  if input ~= 0 then
  
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    0, -- controller #0: Bank Select MSB
    input-1 -- MSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xB0,-- midi CC
    midiChan,
    32, -- controller #32: Bank Select LSB
    0 -- LSB value
  )
  reaper.MIDI_InsertCC(
    take, 
    selected,
    muted,
    ppq,
    0xC0,-- Program Change
    midiChan,
    PC, -- program change value
    0
  )
  end
  reaper.UpdateItemInProject(item)   
end
end

script_title = "Xsample Acoustic Instruments"
reaper.Undo_BeginBlock()
main()
reaper.Undo_EndBlock(script_title, 0)
